Last modified: 2013-08-09 11:28:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30127 - MediaWiki:badaccess-groups should specify which action is not allowed.
MediaWiki:badaccess-groups should specify which action is not allowed.
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-07-30 12:11 UTC by Derk-Jan Hartman
Modified: 2013-08-09 11:28 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Derk-Jan Hartman 2011-07-30 12:11:00 UTC
Example of why this is a problem. Someone adds the following: [[Special:EmailUser/MyName|Contact me]] to his user page.

An IP user clicks the link. He now gets a rather confusing "The action you have requested is limited to users in the group: Users" message.

This is a bad experience.
Comment 1 sheac 2012-05-13 19:47:00 UTC
This bug has not been touched in at least six months. With this in mind, I've been asked by the bugmeister to bump this bug's priority down from "High". Concerns can be addressed to mah@everybody.org.
Comment 2 Nemo 2013-08-09 11:25:44 UTC
This has been fixed a few years ago by using the new message permissionserrorstext-withaction and associated action messages, it seems.
Comment 3 Nemo 2013-08-09 11:28:38 UTC
To clarify, permissionserrorstext-withaction is displayed just before badaccess-groups, so even though this message wasn't changed the request to specify the action has been fulfilled I think.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links